PETSc version 3.15.5
Fix/Edit manual page

# SNESMultiblockSetType

Sets the type of block combination.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMultiblockSetType(SNES snes, PCCompositeType type)

Collective on SNES

### Input Parameters

| snes | - the solver context
| type | - PC_COMPOSITE_ADDITIVE, PC_COMPOSITE_MULTIPLICATIVE (default), PC_COMPOSITE_SYMMETRIC_MULTIPLICATIVE

### Options Database Key

| -snes_multiblock_type <type: one of multiplicative, additive, symmetric_multiplicative> | - Sets block combination type

### See Also

PCCompositeSetType()

### Level

Developer

### Location

src/snes/impls/multiblock/multiblock.c

### Implementations

SNESMultiblockSetType_Default in src/snes/impls/multiblock/multiblock.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages